View Javadoc

    1   /**
    2    * BSD-style license; for more info see http://pmd.sourceforge.net/license.html
    3    */
    4   package net.sourceforge.pmd.lang.xml.ast;
    5
    6   import net.sourceforge.pmd.lang.ast.Node;
    7   import net.sourceforge.pmd.lang.ast.xpath.AttributeNode;
    8
    9   /**
    10   * This interface represents all XML AST nodes.  They are essentially thin
    11   * wrappers around the underlying DOM nodes.
    12   */
    13  public interface XmlNode extends Node, AttributeNode {
    14      /**
    15       * Provide access to the underlying DOM node.
    16       * @return The DOM node.
    17       */
    18      org.w3c.dom.Node getNode();
    19  }